DDR3 Electrical Performance Compliance Test

Agilent U7231A DDR3 Compliance Test Application

The Agilent DDR3 Compliance Test Application provides the framework for using Agilent Infiniium oscilloscopes to perform the DDR3 (Double Data Rate 3) Compliance testing. It measures electrical parameters, clock parameters and timing parameters of the JEDEC (Joint Electronic Device Engineering Council) specifications, specifically the JESD79-3C.

The DDR3 Compliance Test Application requires:

  • 54850A, 9000, 80000B or 90000A series Infiniium Digital Storage Oscilloscope. Agilent recommends using 4 GHz and higher bandwidth oscilloscope.

  • Version 5.70 or greater of the Infiniium software (54850A and 80000 series Infiniium Digital Storage Oscilloscope) OR

  • Version 1.41 or greater of the Infiniium software (90000A series Infiniium Digital Storage Oscilloscope) OR

  • Version 2.00 or greater of the Infiniium software (9000 series Infiniium Digital Storage Oscilloscope).

  • U7231A DDR3 Electrical Performance Compliance Application, version 1.30 and higher.

  • RAM reliability test software.

  • 1169A, 1168A, 1132A or 1131A InfiniiMax probe amplifiers.

  • N5381A or E2677A differential solder-in probe head, N5382A or E2675A differential browser probe head, N5425A ZIF probe head or N5426A ZIF tips.

  • Any computer motherboard system that supports DDR3 memory.

  • Keyboard, qty = 1, (provided with the Agilent Infiniium oscilloscope).

  • Mouse, qty = 1, (provided with the Agilent Infiniium oscilloscope).

  • Agilent also recommends using a second monitor to view the DDR3 compliance test application.

Below are the required licenses:

  • U7231A DDR3 Compliance Test Application license

  • N5414A InfiniiScan software license (for 80000 and 90000A series)

  • N5415A InfiniiScan software license (for 9000 series)

  • N5404A Deep memory option (optional)

NOTE:

Ensure that the RAM reliability test software is running on the computer system where the DDR3 DUT is attached. This application will perform a test on all unused RAM on the system by producing repetitive bursts of read-write data signals to the DDR3 memory.

To use the DDR3 Compliance Test Application, see:

  • Starting the DDR3 Compliance Test application

    • To view/minimize the task flow pane

    • To view/hide the toolbar

  • Creating or Opening a Test Project

  • Setting Up DDR3 Test Environment

  • Selecting Tests

  • Configuring Tests

    • Useful-Tips : Critical Configurations

  • User-Defined Compliance Limits

  • Connecting the Oscilloscope to the DUT

  • Running Tests

  • Viewing Test Results

    • To delete trials from the results

    • To show reference images and flash mask hits

    • To change the display settings

    • To change the remote settings

    • To change the margin thresholds and trial report display

    • To change the user prompt option

    • To change the auto-recovery option

  • Viewing/Printing the HTML Test Report

  • Understanding the HTML Report

  • Saving Test Projects

    • For the latest update on U7231A DDR3 compliance tests application, visit:

  • U7231A DDR3 Compliance Test Application Update

    For the latest DDR3 Release Notes, see:

  • DDR3 Release Notes

For more information on DDR3 Compliance Test Application or other Agilent Technologies's products, applications and services, see:

  • Contact Agilent

Top of the page |
 | © Agilent Technologies, Inc. 2007-2009


Notices

© Agilent Technologies, Inc. 2007-2009

No part of this manual may be reproduced in any form or by any means (including electronic storage and retrieval or translation into a foreign language) without prior agreement and written consent from Agilent Technologies, Inc. as governed by United States and international copyright

laws.

Warranty

The material contained in this document is provided ”r;as is,” and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.

Technology Licenses

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as ”r;Commercial computer software” as defined in DFAR 252.227-7014 (June 1995), or as a ”r;commercial item” as defined in FAR 2.101(a) or as ”r;Restricted computer software” as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Agilent Technologies’ standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.

Safety Notices

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.

Top of the page | Home |
 |  | © Agilent Technologies, Inc. 2007-2009


Contact Agilent

The complete list of Agilent contacts is available at:

www.agilent.com/find/contactus

Phone or Fax

United States: (tel) 800 829 4444 (fax) 800 829 4433 | Korea: (tel) (080) 769 0800 (fax) (080) 769 0900
Canada: (tel) 877 894 4414 (fax) 800 746 4866 | Latin America: (tel) (305) 269 7500
China: (tel) 800 810 0189 (fax) 800 820 2816 | Taiwan: (tel) 0800 047 866 (fax) 0800 286 331
Europe: (tel) 31 20 547 2111 | Other Asia Pacific Countries: (tel) (65) 6375 8100 (fax) (65) 6755 0042 Email: tm_ap@agilent.com
Japan: (tel) (81) 426 56 7832 (fax) (81) 426 56 7840 |


Running the Automated Test Application on a Second Monitor

A second monitor can be used to display the automated test application, allowing you to view the oscilloscope while using the application. You need to connect a second monitor to the video port labeled Second Monitor on the rear panel of the oscilloscope and not to the port labeled VGA. (The VGA output is only used to display the screen of the oscilloscope on the external monitor.)

Before starting the automated test application, you should be sure that the second monitor is properly configured:

  1. Exit the oscilloscope application, and click on the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Themes.

  1. Select Display.

  2. Select the Settings tab.

  3. Select monitor two and set the Screen resolution and Color quality for your monitor.

  4. Enable the Extend my Windows desktop onto this monitor control.

  5. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off of the oscilloscope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extend my Windows desktop onto this monitor control.

See Also

DDR3 Electrical Performance Compliance Test Application


Starting the DDR3 Automated Test Application

  1. From the Infiniium oscilloscope's main menu, choose Analyze>Automated Test Apps>DDR3 Test.

The DDR3 compliance test application window appears.

  2. The task flow pane and the tabs in the main pane show the steps you need to take before running the automated tests.

  3. You may find an asterisk symbol appears at the top panel of the window. This asterisk indicates that changes have been made to the original settings that have not been saved. For example, the default Speed Grade is DDR3-800. If DDR3-1066 is selected, the asterisk symbol appears.

See Also

    • To view/minimize the task flow pane

    • To view/hide the toolbar

    • Creating or Opening a Test Project


To view/minimize the task flow pane

To toggle between a minimized and restored task flow pane, choose View>Task Flow from the menu.

To minimize the task flow pane, click the minimize button in the pane.

To restore a minimized task flow pane, click the Task Flow button in the pane.

See Also

To view/hide the toolbar

Creating or Opening a Test Project


To view/hide the toolbar

To toggle between a hidden and visible toolbar, choose View>Toolbar from the menu.

See Also

To view/minimize the task flow pane

Creating or Opening a Test Project


Creating or Opening a Test Project

To create a new test project:

  1. Choose File>New Project... from the menu.

    2. A new project is opened and given a default name which can be saved as another name later.

To open an existing test project:

  1. Choose File>Open Project... from the menu.

  2. In the Open dialog, browse to a test project directory and select the desired ".proj" file.

  3. Click Open.

See Also

    • Setting Up DDR3 Test Environment


Setting Up DDR3 Test Environment

  1. Click the Set Up tab, or click the Set Up box in the Task Flow pane.

  2. Select the Speed Grade of the DUT signal you want to test within the provided options.

  3. Select the Test Mode, either Compliance or Custom.

  4. The Custom selection shows an additional command button - Set Mask File.

  5. Click this button to view or select test mask files for eye diagram tests.

  6. The Custom selection also allows you to type in the data rate of the DUT signal. Whenever the data rate combo box is disabled, click the Change Settings button to enable it.

  7. Type in or select the Device Identifier from the drop-down list.

  8. Type in or select the User Description from the drop-down list.

  9. Enter your comments in the Comments text box.

NOTE:

The tests that appear on the Select Tests tab are determined by the choices selected on the Set Up tab. The test list gets rebuilt each time Speed Grade or Test Mode options change. This is because some tests are only applicable under certain conditions of speed grade and test mode. For example, the Compliance Test Mode selection shows a different test list compared to the Custom Test Mode selection.

See Also

Selecting Tests


Selecting Tests

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

  2. Check the tests you want to run.

NOTE:

The tests that appear on the Select Tests tab are determined by the choices selected on the Set Up tab. The test list gets rebuilt each time Speed Grade or Test Mode options change. This is because some tests are only applicable under certain conditions of speed grade and test mode. For example, the Compliance Test Mode selection results in a different test list as compared to the Custom Test Mode selection.

Some things to note:
  • Checking a parent node or group will check all available sub-groups or tests.
  • Un-checking a parent node or group will uncheck all sub-groups or tests.
  • A parent node is checked if all subgroups are checked.
  • A parent node is unchecked if ANY subgroup is unchecked.

Clicking the Right Mouse Button

When you click the right mouse button on the tests pane, it produces a pop-up menu containing some shortcuts for selecting and de-selecting tests.

When test have already been run

If tests have already been run, you will see their status in the Select Tests tab.

The marks have the following meanings:

The test passed.

The test failed.

The test has not been run, or no tests in the group have been run.

The test is currently running.

Some tests in the group have run and passed.

Some tests in the group have run and failed.

Some tests in the group have passed and some have failed; not all of the tests have been run.

Some tests in the group have passed and some have failed; all of the tests have run.

All tests in the group have run and passed.

All tests in the group have run and failed.

Electrical Tests

The Electrical Tests are available for all the DDR3 speed grade options. The Electrical Tests are divided into two major sections:

  • Single-Ended Signals Tests
  • Differential Signals Tests

The test limits are based on the JEDEC Standard JESD79-3C.

Timing Tests

The Timing Tests are also available for all the DDR3 speed grade options. The test limits are based on the JEDEC Standard JESD79-3C. The Timing Tests are divided into four sections:

  • Clock Timing Tests
  • Data Strobe Timing Tests
  • Data Mask Timing Tests
  • Command and Address Timing Tests

Custom Mode

The Custom Test Mode are available for all the DDR3 speed grade options and do not comply to any specifications. However, these tests are used to perform customized signals debugging.

See Also

    • Configuring Tests


Configuring Tests

  1. Click the Configure tab, or click the Configure box in the Task Flow pane.

  2. You are allowed to change the configuration of the Compliance Mode and the Debug Mode here.

    Select your preferred mode and the test list changes according to your selection.

    • Compliance Mode - lets you choose the configuration options necessary to meet the compliance standard tests.
    • Debug Mode - lets you modify the configuration options. This can be useful, for example, when investigating a test failure.

  3. Select the bulleted item for the option you want to configure and enter your settings. A description of the selected configuration item appears in the lower, right part of the application window. Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

HINT:

  • A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

  • A quick way to reset all the Debug configuration options is to switch from Debug Mode to Compliance Mode.

  • A quick way to reset all configuration options and delete all the test results is to create a new project. The new project will have default configuration options.

See Also

    • Useful Tips : Critical Configurations


Useful Tips

Useful Tips : Critical Configurations

  • Skip Connection Diagram Prompt

  • Skip Error Message

  • Signal Threshold Settings

  • Signal Threshold Trigger Settings

  • Why The Trigger Thresholds Settings Are Dynamic

  • Read and Write Separation Settings

Skip Connection Diagram Prompt

  • Setting the option to "Yes" allows you to skip the connection prompt. This allows the selected tests to run from the start to end without prompting any connection request dialog box.

  • When this setting is turned on, the application does not stop even if any of the selected tests require a different signal connection. It may end up failing some tests since it assumes that only one set of signal connection is required.

NOTE:

Before selecting this option, it is advisable that you to run the selected tests once to confirm no change in the signal connection is required.

Skip Error Message

  • When the option is set to "Yes", the application skips all error messages prompt when running a selected test. The results of the tests which encounter errors are set to a default value, that would cause a failure in those tests. Subsequently, the next selected tests will continue to run.

  • The test errors could occur due to various factors, for example signal not meeting the system's requirement, signal integrity issues and signal connections not hookup properly.

  • This option is useful for repetitive testing where the users do not want the application to stop testing when errors are encountered.

Signal Threshold Settings

  • The signal threshold settings allow you to customize the voltage threshold requirement of the design. By default, these settings are based on the nominal threshold level specified in the JEDEC specification.

  • When these settings are changed, the new values are used in the tests. For instance, the setup time is calculated from the Vih_ac value. When a new value is entered, it is used for the setup time measurement and calculation.

Signal Threshold Trigger Settings

  • When the Threshold Trigger Settings option is set to "Auto", the application automatically determines the appropriate trigger level for the signals during testing.

  • Setting the option to "Manual" allows you to set the appropriate optimization and trigger levels for the signals.

NOTE:

Once the option is set to "Manual", the application expects each threshold setting to be configured.

  • The below are two possible conditions to set the Threshold Trigger Settings option to "Manual":

  • Voltage during the high impedance (idle) exceeds the amplitude of the valid Read and Write cycles. This confuses the system where it wrongly optimizes the signal and sets wrong trigger level because of the high impedance voltage level.

  • The Write cycles are having a significantly higher amplitude than the Read cycles or vice versa. Once again, the system triggers the level based on the peak voltage of the captured waveform. Hence, the system could trigger on the Write cycle but not the Read cycles due to small signal amplitude.

  • The diagram below shows an example of ideal signal condition for the DDR signals. The amplitude of the Read and Write data burst signal is about the same.

  • In such condition, the application has no issue in determining the appropriate upper, middle and lower trigger threshold levels to effectively trigger on either the Read or Write burst. There is no need to change any setting in the signal trigger threshold settings.

  • Condition 1: Non-Ideal High Impedance Voltage

  • In the above diagram, the high impedance voltage is below the amplitude of the Read and Write amplitude. When the application determines the appropriate threshold level, the high impedance voltage confuses the application. The upper, middle and lower threshold levels do not meet the requirement of valid Read and Write bursts. Hence, the application is unable to find any valid Read and Write burst. Eventually, the application prompts error message.

  • By using the manual trigger threshold settings, you can re-define the trigger threshold that allows the application to trigger on both the Read and Write bursts.

  • Condition 2: Read Amplitude Larger Than Write

  • In the above diagram, the amplitude of the Read burst is significantly higher than the Write burst. The application optimizes the trigger threshold and decides the upper, middle and lower thresholds. With the trigger threshold settings, the application could only trigger on the Read burst because the edge meets the threshold condition. However, it will not be able to trigger on the Write burst. Hence, when the application is running the Write tests, it will not be able to find the required Write signals, and eventually prompts an error message.

  • By using the manual trigger threshold settings, you can re-define the trigger threshold that allows the application to trigger on both the Read and Write bursts.

Why The Trigger Thresholds Settings Are Dynamic

  • The Signal Threshold Trigger Settings are set to be dynamic (not fixed settings) so that the application does not misinterpret the noise (voltage) at the high impedance mode as valid edges as shown above.

  • The application is designed to locate the thresholds close to the max and min of the signal amplitude for the highest signal to noise ratio so that the application could ignore the noise at high impedance state, as shown below.

Read and Write Separation Settings

  • The application separates the Read and Write cycles based on the phase difference of the DQS and DQ signals. For Read cycle, the DQS and DQ edges are aligned (phase difference is 0 degree), whereas for Write cycle, the DQS edge is at the center of the DQ bit (phase difference is 90 degrees), as shown above.

  • In the Read and Write Separation Settings, the UI means the bit period. By default, if the phase of DQS and DQ edge is between 0 to 0.2 UI, then the application considers the signals as Read since the edges are aligned. If the phase of the DQS and DQ edge is between 0.4 to 0.6 UI, then the application considers the burst as Write since the DQS edge is at the center of the DQ bit.

  • However, there can be cases where the phase of DQS and DQ edge is out of the range of the defined UI. This could happen due to various reasons such as skew on the trace, slower signal slew rate and skew caused by probing. Thus, these settings allow you to customize the relationship between the edges of the Read and Write cycle so that the application can determine if the burst is a Read or Write cycle.

See Also

    • User-Defined Compliance Limits


User-Defined Compliance Limits

  1. You are allowed to define the compliance limits by using the User-Defined Compliance Limit feature.

  2. With this feature, you can:

    • Activate or refresh limit set

    • Create/edit limit set

Activate Limit Set

  1. There are two ways to activate a limit set:

    • Select the Compliance limits from the Tool main menu. Click on the Activate/Refresh limit set...

    • Click on the Activate/Refresh Limit Set... button located in the Configure tab.

  2. In the Activate/Refresh Compliance Limit Set dialog, you can either select an official limit or user-defined limit. Official limits are referred to the limit sets provided by Agilent Technologies. Usually, these limits reflect different versions of official specifications. User-defined limit sets are those limits created by the end-users. They may contain different values from any official specifications.

  3. Click Activate/Refresh button to activate the selected limit and close this dialog.

Create Limit Set

  1. To select the this option, select the Compliance limits from the Tool main menu and click on the Create/Edit limit set...

  2. Click Load Limit Set... button to load an existing official or user-defined limit sets.

  3. Select a limit to amend and modify accordingly as desired.

  4. If a limit covers more than one test ID, you can split it into two limits. Select the row and click the Split button.

  5. In the below following example, a 2-test limit is split into two single-test limits:

  6. Click Finish.

  7. To combine the limits, select two or more rows and click Combine.

  8. Type a summary name and description to identify the new combined test limit and click Finish.

  9. Rename the new limit with a unique name which is different from the name of any official limit set.

  10. Click Save File As... to save your custom limit set to a file.

See Also

    • Connecting the Oscilloscope to the DUT


Connecting the Oscilloscope to the DUT

  1. Click the Connect tab, or click the Connect box in the Task Flow pane.

  2. Follow the displayed instructions for connecting the oscilloscope to the device under test.

  3. When connections to the device under test have been made, check the I have completed these instructions box.

See Also

Running Tests


Running Tests

NOTE:

You should allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

ADVICE:

It is a good idea to calibrate the oscilloscope at least once a year or when the Calibration DTemp is greater than ±5 °C. The Calibration DTemp is found in the Help>About Infiniium... menu on the Infiniium oscilloscope.

  1. To run all selected tests, click Run Tests in the Task Flow pane or click [image] in the toolbar and click Run These Tests.

    To run a selected branch of tests, select the branch in the Select Tests tab; then click [image] in the toolbar. The tests run with the default settings.

  2. In the Store Mode category, you can select one of the 4 options of storing the test results:

    • Best - stores the results of the best 64 trials.

    • Event - stores the results of 64 trials in which the event is detected. The event is determined in the Event category.

    • Last - stores the results of the last 64 trials.

    • Worst - stores the results of the worst 64 trials.

NOTE: If you change the Store Mode when the results exist, the existing results will be deleted. The selection made in the Store Mode determines the trial display options in the Report tab of the Preference dialog.

  3. In the Run Until category, you have 3 options of running the tests:

    • Forever - runs the tests continuously until you click on the Cancel button.

    • N Times - runs the tests N times. When this option is selected, a control is displayed as shown below, to allow you to specify the value of N and also to pause in between each run.

    • Once - runs the tests only once. This is the default setup.

  4. When you check the Send email option, [image] button appears. Click on this button to configure the SMTP server and email address to send the stop or pause notifications.

  5. When you check the On event option, you have 2 choices:

    • Pause - the run pauses when the event is detected.

    • Stop - the run stops when the event is detected.

  6. The events are determined in the Event category. There are 3 options:

    • Fail - the event is triggered when a pre-requisite test or a selected test fails.

    • Margin < N - the event is triggered when a test generates a margin below the specified N. N is defined in percentage at Minimum required margin % option.

    • Pass - the event is triggered when a test passes (excluding the pre-requisite tests).

NOTE: An option that begins with '~' symbol indicates that it is unavailable. For example, the Pass condition is only available when the Store Mode is set to Best, Event or Last. As such, the condition appears as ~Pass when the Store Mode is set to Worst.

  7. The tests start to run once the Run button is clicked.

  8. If there are existing test results, you are asked if you would like to replace the existing results or append the new results to the existing results as a new trial. If you would like to keep the existing test results, to compare against new results, select Append New "Trial" Results. Select Replace the Existing Results if you would like to delete the existing test results.

  9. While the tests are running, status dialogs appear to inform you about the test progress.

  10. When the tests are complete, click OK.

See Also

Viewing Test Results


Viewing Test Results

  1. Click [image] in the toolbar, or click the Results tab.

  2. In general, the Results tab contains three resizable panes. The top pane lists the tests that were performed and the summary of the tests. If you select one of the tests in the top pane, the details and the reference images (if any) are shown in the lower panes.

  3. The summary of the test trial is displayed in the bottom left pane. It also shows the Worst, Best, Last Trials or other types of trial (depending on your settings in the Store Mode and Run Tests tab).

  4. The bottom right pane may have several tabs, depending on the selected Report Preferences. If more than one trial is selected, then the first tab will be the Summary tab. It shows the summary of all the test trials. A maximum of 25 trials can be displayed at any one time.

  5. If the worst first is selected as the trial display option, the Worst Trial will be the next tab after the Summary tab, followed by other trials in order of trial performance.

  6. The reference images will appear in the bottom right pane for the selected trials. See To show reference images and flash mask hits for more details on reference images.

HINT: A quick way to reset all configuration options and delete all the test results is to create a new project. The new project will have default configuration options.

See Also

    • To delete trials from the results

    • To show reference images and flash mask hits

    • To change the display settings

    • To change the remote settings

    • To change the margin thresholds and trial report display

    • To change the user prompt option

    • To change the loading and auto-recovery option

    • Viewing/Printing the HTML Test Report


To delete the trials

To delete trials from the results

  1. There are multiple ways to delete a trial in the Results tab:

    • While a test result entry (at upper pane) or trial tab (at lower pane) has input focus, either click on the toolbar 'delete' button or press the delete key on the keyboard OR:

    • Another option is to right click at a test result (at upper pane) and select a trial or test to delete OR:

    • Right click inside the display area of trial summary tab (at the lower pane):

  2. Select the trial to delete:

  3. If other tests have results that were generated during the same trial run as the trial you are deleting, you will be prompted - to allow you to delete these tests at the same time, if you desire to do so.

NOTE: the trial numbers of the affected results may not match. The application presents you with those results that were generated during the same run. You can decide to delete those other trials as well.

  4. Once you have decided the trials to delete, you get a confirmation dialog:

  5. The remaining trials are renumbered downwards to fill in the hole left by the deleted trial:

  6. If you delete the last remaining trial of a test, the entire test results are removed:

NOTE:

There are two situations in which you are not allowed to delete a trial:

Case 1: The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In this DDR3 test application, the maximum number of trial displayed is 25. For example:

a) Lets assume N is 25 (the maximum number of trial displayed)

b) You have ran more than N trials of a test.

c) Now, you can delete up to N-1, where all these tests are displayed in the individual result tabs. However, you will not be able to delete the last remaining test displayed in the individual result tab and other non-displayed tests as well, but you may delete the entire test if you wish.

Case 2: The trial you attempt to delete is associated with a trial defined in Case 1.

See Also

Viewing/Printing the HTML Test Report


To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

    This opens the result waveform dialog.

    In the result waveform dialog, you can:

    Click the [image] flash red pixels button to highlight the mask failure bits.

    Click the [image] zoom in or [image] zoom out buttons to resize the dialog.

  2. Click the [image] close button to close the result waveform dialog.

See Also

Viewing/Printing the HTML Test Report


To change report trial display

To change the display settings

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Display tab.

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Display tab, you can choose to show the below message dialogs:

    • Information dialogs.

    • Warning dialogs.

    • Error dialogs.

NOTE: The messages that require you to make a choice, such as "OK/Cancel" and "Yes/No" are always enabled.

  3. Besides, you can choose to:

    • Invert the scope display (white background) when the application captures the screen shots invert the scope display for the screen shots.

    • Always keep the application's main dialog on the top of the Infiniium application. Note that the mid-run dialogs are always displayed on the top.

    • Log events. Use this option only when directed to by Agilent Support (Note that this option degrades the runtime performance).

    • Show tooltips. By enabling this option, the tooltips appear as you move the pointer over various controls in the application.

  3. Click Apply to save the changes and click OK to close the Preferences dialog.

See Also

Viewing/Printing the HTML Test Report


To change the remote settings

NOTE: If the oscilloscope has the App Remote license option installed, the application’s Preference dialog will have a Remote tab.

To check if the oscilloscope has this license, from the Infiniium oscilloscope's main menu, choose Help>About Infiniium. In the license list, check for the App Remote license as shown below.

  1. From the DDR3 Conformance Test application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Remote tab.

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. Check the Enable remote interface option if you need to access the application remotely. If you are performing the tests via the application’s user interface and want to ensure no remote users accidentally interfere with you, ensure that you disable the remote interface by un-checking this option.

  3. You can also choose to show the remote interface hints. When this option is checked:

    • Tooltips related to the remote interface commands appear when you click the toolbar.

    • Various controls in the tabs will have a context menu item added as "Remote interface hint...".

    • The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  3. Click Apply to save the changes and click OK to close the Preferences dialog.

See Also

Viewing/Printing the HTML Test Report


To change margin thresholds

To change the margin thresholds and report trial display

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Report tab.

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Report tab, at the Margin Reporting category, you can:

    • Enable or disable margin reporting.

    • You can change the percent of margin at which to give warnings or critical failures.

  3. At the Trial Display category, you can:

    • Change the view of the test result: You can view up to 25 worst trials.

    • Order trial details chronologically or by worst trial first.

    • View images for up to 25 worst trials. It will show either the worst trial, best trial or other types of trial, depending on the selected Store Mode on the Run Tests tab.

  4. Click Apply to save and click OK to close the Preferences dialog.

See Also

Viewing/Printing the HTML Test Report


To change the user prompt option

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Report tab.

    Or, when viewing the Run tab, click [image] in the toolbar.

  2. In the Run tab, you can choose to have the beep sound on or off whenever the application prompts the user.

  3. You can also select the test abort action. Either to:

    • Continue the run OR

    • Stop the run and report the problem immediately.

See Also

Viewing/Printing the HTML Test Report


To change the auto-recovery option

To change the loading and auto-recovery option

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Save/Load tab.

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  3. At the AutoRecovery tab, you can choose one of the below options :

    • To save the results of each trial or permutation even if the entire multi-trial is not completed. This option enables full recovery OR

    • To save the results only upon the completion of the entire multi-trial.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.

See Also

Viewing/Printing the HTML Test Report


Viewing/Printing the HTML Test Report

Viewing/Printing the DDR3 HTML Test Report

  1. To view the DDR3 HTML test report, click the HTML Report tab.

  2. To preview the DDR3 HTML test report printout, click [image] or choose File>Print Preview... from the menu.

  3. To print the DDR3 HTML test report, click [image] or choose File>Print... from the menu.

See Also

Understanding the HTML Report

Saving Test Projects


Understanding the DDR3 HTML Report

The information in this topic will help you understand the different sections of the DDR3 HTML Report.

The top section of the DDR3 HTML Report contains the report header. The figure that follows shows an example of a report header. It has information about the oscilloscope used to perform the test: the version of the oscilloscope's application, the model number and the serial number of the oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box: Speed Grade, Test Mode, Device Identifier, User Description and Comments. If any of this information was not entered, it will not be displayed here.

Summary Section

The Summary Section gives an overview for each of the tests that were run. The Pass column shows if the tests pass or fail. The Measured Value column shows the worst case value across all of the trials. The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set in Margin Thresholds (in Preferences).

Measurement Section

The next section of the report shows the statistics for each of the selected measurements.


Saving Test Projects

To save test settings and results to the current project directory:

  1. Choose File>Save Project from the menu.

To save test settings and results to a new project directory:

  1. Choose File>Save Project As... from the menu.

  2. In the Save Project As... dialog, enter the device name and location.

    Project files will be saved in a directory whose name is the device name.

  3. Click OK.


Slew Rate Edge Measurements

The Slew Rate Edge Measurements measure rise times and fall times of the clock and calculates the slew rate. The rise time and fall time are measured from the upper and lower measurement thresholds which are set by default to 250 mV for the upper threshold and -250 mV for the lower threshold. The threshold values can be changed in the Configure tab.